## mingw-w64-python-ufolib2-0.18.1-1.src.tar.zst

=== requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile --all-extras --universal --python 3.9 pyproject.toml
appdirs==1.4.4
    # via fs
attrs==25.3.0
    # via
    #   ufolib2 (pyproject.toml)
    #   cattrs
cattrs==25.1.1
    # via ufolib2 (pyproject.toml)
exceptiongroup==1.3.0 ; python_full_version < '3.11'
    # via cattrs
fonttools==4.58.5
    # via ufolib2 (pyproject.toml)
fs==2.4.16
    # via fonttools
lxml==6.0.0
    # via ufolib2 (pyproject.toml)
msgpack==1.1.1
    # via ufolib2 (pyproject.toml)
orjson==3.10.18 ; platform_python_implementation != 'PyPy'
    # via ufolib2 (pyproject.toml)
setuptools==80.9.0
    # via fs
six==1.17.0
    # via fs
typing-extensions==4.14.1
    # via
    #   cattrs
    #   exceptiongroup
